<?
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
	
global $sugar_version, $sugar_config, $current_user, $app_strings, $mod_strings, $current_user, $app_list_strings;
	
require_once('modules/EcmStockStates/EcmStockState.php');
require_once('modules/EcmStockStates/Forms.php');
require_once ('include/time.php');
require_once('include/json_config.php');

$json_config = new json_config();
	
$focus = new EcmStockState();   

if(isset($_REQUEST['record']))$focus->retrieve($_REQUEST['record']);

require_once('include/MVC/View/SugarView.php');  

if(file_exists('modules/EcmStockStates/views/view.detail.php')) {
	require_once('modules/EcmStockStates/views/view.detail.php');
	$detail = new EcmStockState();
}
else{
	require_once('include/MVC/View/views/view.detail.php');
	$detail = new ViewDetail();  
	$detail->ss = new Sugar_Smarty();
	$detail->module = 'EcmStockStates';
}

global $app_list_strings;

$detail->bean = $focus;
$detail->preDisplay();        
	
echo $detail->display();
?>